import java.util.Calendar;

import quadbase.reportdesigner.util.IExportConstants;
import quadbase.scheduler.ScheduleModifier;
import quadbase.scheduler.ScheduleObject;

//Report manager must be running
public class SchedulingExportReportOneTime {

	public static void main(String[] args) {
		SchedulingExportReportOneTime doScheduleExport = new SchedulingExportReportOneTime();
		try {
			doScheduleExport.createScheduleObject();
		} catch (Exception ex)
		{
			ex.printStackTrace();
		}
	}

	void createScheduleObject() throws Exception {

		ScheduleModifier.setServerAddress("127.0.0.1");
		ScheduleModifier.setServerPortNumber(22071);

		ScheduleObject sObj = new ScheduleObject("Report_OneTime", ScheduleObject.REPORTOBJ);
		sObj.setFileLocation("Account.rpt");
		sObj.setReportType(IExportConstants.DHTML);
		sObj.setTaskOption(ScheduleObject.ONE_TIME);
		String exportLocation = sObj.pickDefaultExportLocation();
		Calendar calendar = Calendar.getInstance();
		calendar.add(Calendar.MINUTE, 1);
		sObj.setStartDate(calendar.getTimeInMillis());
		sObj.setSendEmail(false);

		ScheduleModifier.addScheduleTask(sObj);
	}
}
